Method: networks.daiEncodingProfiles.batchActivate

Activates a list of DaiEncodingProfile objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/daiEncodingProfiles:batchActivate

Path parameters

Parameters
parent

string

Required. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (ActivateDaiEncodingProfileRequest)
    }
  ]
}
Fields
requests[]

object (ActivateDaiEncodingProfileRequest)

Required. The DaiEncodingProfile objects to activate. A maximum of 100 objects can be activated in a batch.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

ActivateDaiEncodingProfileRequest

Request object for ActivateDaiEncodingProfile method.

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the DaiEncodingProfile to activate. Format: networks/{networkCode}/daiEncodingProfiles/{dai_encoding_profile_id}